<html>
<head>
  <title>Autoryzacja z weryfikacją</title>
  <meta charset="utf-8">
</head>
<body>

<?php
  $username = 'admin';
  $password = 'pukpuk';

  if (isset($_SERVER['PHP_AUTH_USER']) &&
      isset($_SERVER['PHP_AUTH_PW']))
  {
    if ($_SERVER['PHP_AUTH_USER'] == $username &&
        $_SERVER['PHP_AUTH_PW']   == $password)
          echo "Jesteś zalogowany";
    else die("Błędna nazwa użytkownika lub hasło");
  }
  else
  {
    header('WWW-Authenticate: Basic realm="Ograniczony dostęp"');
    header('HTTP/1.0 401 Unauthorized');
    die("Proszę wprowadzić nazwę użytkownika i hasło");
  }
?>

</body>
</html>